Subject: Re: bug#68529: 13.2.4; Fraction line color not adjusted

From: Arash Esbati <[email-masked]>
Date: Wed, 06 Mar 2024 21:07:56 +0100

Ikumi Keita <[email-masked]> writes:

> Hi Zhou,
>
>>>>>> Zhou Renfei <[email-masked]> writes:
>> When using auctex to preview latex inline math formulas, the foreground
>> color of fraction line is not adjusted. I am using a dark theme, and for
>> normal math formulas, the foreground color will be correctly adjusted to
>> white; however, this does not work for fraction lines. E.g., in
>> $\frac{a}{b}$, the letters a and b will be in white (correct), but the
>> line between them will be still in black.
>
>> There are other objects that auctex fails to adjust colors from black to
>> white, e.g., the caption in a float environment, and the pseudocode in
>> algorithm2e environment, and the horizontal line part of a sqrt symbol
>> (in $\sqrt n$, the horizontal line above $n$ will be still black).
>
> It seems that this is the same as bug#56889[1]. I suppose it originates
> from the nature of pdflatex and ghostscript, and preview-latex can do
> little with respect to this phenomenon.
>
> As I wrote in the thread of bug#56889, one of the following workarounds
> works, but only in very awkward way... :-(
> (1) Turn off PDF mode by C-c C-t C-p and set `preview-image-type' to
>     `dvipng'.
> (2) Set `preview-pdf-color-adjust-method' to nil.
>
> [1] https://debbugs.gnu.org/56889

No further comments, therefore I'm closing this report.  We can reopen
if necessary.

Best, Arash